cURL
curl --request POST \
--url 'https://www.anyfast.ai/v1beta/models/gemini-3.8-flash:generateContent?key=YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '
{
"contents": [
{
"role": "user",
"parts": [
{
"text": "Review this retry design, identify race conditions, and propose a safe implementation plan."
}
]
}
],
"generationConfig": {
"thinkingConfig": {
"thinkingLevel": "medium"
},
"maxOutputTokens": 2048
}
}
'import requests
url = "https://www.anyfast.ai/v1beta/models/gemini-3.8-flash:generateContent"
payload = {
"contents": [
{
"role": "user",
"parts": [{ "text": "Review this retry design, identify race conditions, and propose a safe implementation plan." }]
}
],
"generationConfig": {
"thinkingConfig": { "thinkingLevel": "medium" },
"maxOutputTokens": 2048
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
contents: [
{
role: 'user',
parts: [
{
text: 'Review this retry design, identify race conditions, and propose a safe implementation plan.'
}
]
}
],
generationConfig: {thinkingConfig: {thinkingLevel: 'medium'}, maxOutputTokens: 2048}
})
};
fetch('https://www.anyfast.ai/v1beta/models/gemini-3.8-flash:generateContent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candidates": [
{
"content": {
"parts": [
{
"text": "<string>",
"thought": true,
"thoughtSignature": "<string>",
"inlineData": {
"mimeType": "image/jpeg",
"data": "<string>"
},
"fileData": {
"mimeType": "application/pdf",
"fileUri": "<string>"
},
"functionCall": {
"name": "<string>",
"args": {},
"id": "<string>"
},
"functionResponse": {
"id": "<string>",
"name": "<string>",
"response": {}
},
"executableCode": {
"language": "PYTHON",
"code": "<string>"
},
"codeExecutionResult": {
"outcome": "OUTCOME_OK",
"output": "<string>"
}
}
],
"role": "user"
},
"finishReason": "STOP",
"index": 0,
"safetyRatings": [
{}
]
}
],
"usageMetadata": {
"promptTokenCount": 123,
"candidatesTokenCount": 123,
"cachedContentTokenCount": 123,
"thoughtsTokenCount": 123,
"toolUsePromptTokenCount": 123,
"totalTokenCount": 123,
"serviceTier": "standard",
"promptTokensDetails": [
{
"modality": "TEXT",
"tokenCount": 123
}
],
"toolUsePromptTokensDetails": [
{
"modality": "TEXT",
"tokenCount": 123
}
]
},
"modelVersion": "gemini-3.8-flash",
"responseId": "<string>",
"quota": 123
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>",
"status": "<string>"
}
}Google
gemini-3.8-flash
Generate a response with Gemini 3.8 Flash. The final conversation turn must be a non-empty user turn. Use thinkingLevel instead of the removed sampling and thinking-budget parameters.
POST
/
v1beta
/
models
/
gemini-3.8-flash:generateContent
cURL
Query Parameters
AnyFast API key.
Body
application/json
Conversation turns. The final turn must contain non-empty user content; model-response prefilling is not supported.
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Generation configuration. temperature, topP, topK, candidateCount, and thinkingBudget are not supported by Gemini 3.8 Flash.
Show child attributes
Show child attributes
Function declarations or supported built-in Gemini tools.
Show child attributes
Show child attributes
Tool execution and function-calling configuration.
Per-category content safety thresholds.
Show child attributes
Show child attributes
Was this page helpful?